
enum ContentBlock: String, CaseIterable {

    case audio

    case swift

    case video

    case button

    case buttons

    case labels

    case screens

    case route

    case gallery

    var processor: BlockProcessor.Type {
        switch self {
        case .audio: return AudioBlock.self
        case .swift: return SwiftBlock.self
        case .video: return VideoBlock.self
        case .button: return ButtonBlock.self
        case .buttons: return ButtonsBlock.self
        case .labels: return LabelsBlock.self
        case .screens: return PhoneScreensBlock.self
        case .route: return RouteBlock.self
        case .gallery: return GalleryBlock.self
        }
    }
}
